## org.hibernate.bytecode.internal.javassist
Class InstantiationOptimizerAdapter

    java.lang.Object
      org.hibernate.bytecode.internal.javassist.InstantiationOptimizerAdapter

All Implemented Interfaces:
  Serializable, ReflectionOptimizer.InstantiationOptimizer

    public class InstantiationOptimizerAdapter

extends Object
implements ReflectionOptimizer.InstantiationOptimizer, Serializable

The `ReflectionOptimizer.InstantiationOptimizer` implementation for Javassist which simply acts as an adapter to the `FastClass` class.

See Also:
  Serialized Form

Constructor Summary
`InstantiationOptimizerAdapter(FastClass fastClass)`

Method Summary
`Object` `newInstance()` Perform instantiation of an instance of the underlying class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstantiationOptimizerAdapter

    public InstantiationOptimizerAdapter(FastClass fastClass)

Method Detail

### newInstance

    public Object newInstance()

  Description copied from interface: `ReflectionOptimizer.InstantiationOptimizer`
  Perform instantiation of an instance of the underlying class.

  Specified by:
    `newInstance` in interface `ReflectionOptimizer.InstantiationOptimizer`
  Returns:
    The new instance.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.